To watch the Web-Documentary you'll need the Adobe Flash plugin (at least version 9), which you can download here:

Adobe Flash Plugin

After the installation, please reload the site.